INTERFACE
SUBROUTINE SUJQCOR(klev,ksmax,PCOV,PVCORIN,PVCOR,PHCOR,cdvar)
USE PARKIND1, ONLY: JPIM, JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: klev, ksmax
REAL(KIND=JPRB) , INTENT(IN) :: PCOV (klev,klev,0:ksmax)
REAL(KIND=JPRB) , INTENT(OUT) :: PVCORIN(klev,klev,0:ksmax)
REAL(KIND=JPRB) , INTENT(OUT) :: PVCOR (klev,klev,0:ksmax)
REAL(KIND=JPRB) , INTENT(OUT) :: PHCOR(klev,0:ksmax)
CHARACTER(LEN=*), INTENT(IN), OPTIONAL :: cdvar
END SUBROUTINE SUJQCOR
END INTERFACE
